/*создание попап окна*/
(function( $ ) {
	var methods = {
		init : function(options ) {
			var settings = $.extend({
				'url' :	$(this).attr('href'),
				'click' :  true
			}, options);


			if(settings.click == true) {
				$(this).click(function(event){
					event.preventDefault();
					loadPopup();
				});
			} else {
				loadPopup();
			}

			function loadPopup(){
				$('.upform').detach();
				if(settings.url != '') {
					$.get(
						settings.url,
						function(data){
							$('body').append(data);
							$('.upform .close').click(function(event){
								event.preventDefault();
								$('.upform').detach();
							});
						}
					);
				}else {
					alert('Url cannot be blank');
				}
			}
		}

     };
    
	$.fn.popup = function( method ) {
		// Method calling logic
		if ( methods[method] ) {
			return methods[ method ].apply( this, Array.prototype.slice.call( arguments, 1 ));
		} else if ( typeof method === 'object' || ! method ) {
	    	return methods.init.apply( this, arguments );
		} else {
			$.error( 'Method ' +  method + ' does not exist on jQuery.tooltip' );
	    }   
	};
})( jQuery );