$(document).ready(function(){
        //комменты
	$("#js-show-node-comments").live("click", function(){
		$("#js-node-comments").toggle();
		return false;
	});

	if($("#js-versions-list").height() < $("#js-polling-criteria").height()) {
		$("#js-versions-list").height($("#js-polling-criteria").height() + 30);
    }


    $('.b-pollingQuestion__slider').each(function(){
        if(!$(this).hasClass('disabled'))
            $(this).questVoting();
    });

	$(".js-reject-form-button").live("click", function(){
		var frm = $(this).closest('form')[0];
		$.post(frm.action,
			{comment: $('.js-post-comment', frm).val()},
			function(data){
				$(".js-upform-content").html(data.message);
				$("#js-lenta-item-" + data.id).remove();
			},
			"json"
		);
		return false;
	});

	$(".js-vote-button").live("click", function(){
		var url = this.href;
		if(url) {
			$(this).removeAttr("href");
			$.post(
				url,
				{'for': $(this).attr('data-for'), val: $(this).attr('data-val')},
				function(data){
					document.location.reload()
				}
			);
		}
		return false;
	});


	$(".one-submit-form").submit(function(){
		if($(this).attr("data-send")) return false;
		$(this).attr("data-send", 1)
	});
	$('textarea[maxlength]').on('keydown keyup blur', function(e) {
		var $this = $(this),
			maxlen = $this.attr('maxlength'),
			val = $this.val();

		if(!maxlen) return;

		if (val.length > maxlen) {
			$this.val(val.substr(0, maxlen));
		}

		var curCount = $this.val().length;
		var remainCount = maxlen - curCount;
		$(".js-maxlength").html(remainCount);
	}).blur();

	$('[type="checkbox"]').shifty({
		select:function(el){el.attr('checked','checked');},
		unselect:function(el){el.removeAttr('checked');}
	});

});


$.fn.questVoting = function() {
    var current = -1;
    var minMargin = -5;
    var itemWidth = 24;
    var maxItem = 6;
    var maxMargin = minMargin + maxItem * itemWidth;
    var disabled = false;

    var isDrag = false, startDragX, startDradMargin;

    var $cont = $(this);
    var $slider = $cont.find('.b-pollingQuestion__slider-slider');

    $cont.on('mousedown', '.b-pollingQuestion__slider-slider', function(e) {
        if(disabled)
            return;
        startDragX = e.pageX;
        startDradMargin = parseInt($slider.css('marginLeft'));
        isDrag = true;
        updateCurrentNumber(startDradMargin);
        return false;
    });

    $cont.on('click', '.b-pollingQuestion__slider-nums span', function() {
        if(disabled)
            return;
        var index = $cont.find('.b-pollingQuestion__slider-nums span').index(this);
        updateCurrentNumber(minMargin + index*itemWidth);
        sendVote();
        return false;
    });

    $('body').mousemove(function(e) {
        if(isDrag) {
            var dx = e.pageX - startDragX;
            var margin = startDradMargin + dx;
            if(margin < minMargin)
                margin = minMargin;
            if(margin > maxMargin)
                margin = maxMargin;
            updateCurrentNumber(margin);
        }
    })
    .mouseup(function() {
        if(isDrag) {
            isDrag = false;
            updateCurrentNumber(minMargin + current*itemWidth);
            sendVote();
        }
    });

    function updateCurrentNumber(margin) {
        $slider.css('marginLeft', margin);
        var item = Math.round((margin - minMargin) / itemWidth);
        if(current != item) {
            $cont.find('.b-pollingQuestion__slider-nums span').removeClass('active');
            $cont.find('.b-pollingQuestion__slider-nums span:eq('+item+')').addClass('active');
            current = item;
        }
    }

    function sendVote() {
        var $voteCont = $cont.closest('.b-pollingQuestion');
        var url = $voteCont.attr('data-url');
        $.getJSON(url, {val: current+1}, function(res) {
            $voteCont.find('.js-current-result').text(res.result);
            $voteCont.find('.b-pollingQuestion__result').show();
            if(!res.canChange) {
                disabled = true;
                $cont.addClass('disabled');
            }
        });
    }
};
