/**
 * @author Bibberfell
 */
$(document).ready(function(){
	
	initPopups();
	initFavorites();
	initContent();
	
});

function initContent() {
	var CommentsBoxHeight = 0;
	var CommentsHeight = 0;
	
	$('.fg__item__text').each(function(index) {
		CommentsBoxHeight = $(this).parent().find('.sidecomments').height() - 30;
		CommentsHeight = $(this).parent().find('.sidecomments__inner').height() - 30;
		if(CommentsHeight>CommentsBoxHeight){
			
			var CommentsHeightCounter = 31;
			
			var $items = $(this).parent().find('.sidecomments p')
			for(var i=0; i<$items.length; i++) {
				CommentsHeightCounter += 20
				
				if(CommentsBoxHeight<CommentsHeightCounter){
					$(this).parent().find('.sidecomments').css({height: CommentsHeightCounter-20});
					$(this).parent().find('.sidecomments__inner').css({height: CommentsHeightCounter-20});
					break;
				}
				CommentsHeightCounter = CommentsHeightCounter + $items.eq(i).height() + 9;
				
				if(CommentsBoxHeight<CommentsHeightCounter){
					var CommentsHeightDif = CommentsHeightCounter - CommentsBoxHeight
					var CommentsHeightFixed = CommentsHeightCounter - Math.ceil(CommentsHeightDif/18)*18 - 9;
					$(this).parent().find('.sidecomments').css({height: CommentsHeightFixed});
					$(this).parent().find('.sidecomments__inner').css({height: CommentsHeightFixed});
					break;
				}
			}
		}
	});

}

function initFavorites() {
	$('.js-favorites').click(function(event){
		event.preventDefault();
		var link = $(this);
		$.post('/favorites/create/'+link.attr('rel'),function(data){
			if(parseInt(data) == 0) {
				link.removeClass('g-active');
			} else {
				link.addClass('g-active');
			}
		},'html');
	});
}

function initPopups() {
	
	$('.js-addTag').popup();
	$('.js-loginForm').popup({'url':'/site/login'});
	$('.js-regForm').popup({'url':'/user/register'});
	$('a[href="/callback/create"]').popup({'url':'/callback/create'});
	$('a[href="/user/register"]').popup();
	$('.js-petition').popup();
	$('.js-rejectFragment').popup();
	$('.js-pollingQuestion_c').popup();
	$('.js-pollingQuestion_e').each(function(index, item){
	   $(item).popup(); 
	});
	
	$('.upform .close').click(function(event){
		event.preventDefault();
		$('.upform').detach();
	});

	if(getHash() == 'login') {
		$(document).popup({'url':'/site/login', 'click':false});
	}
	
}
function getHash() {
	var hash = window.location.hash;
	return hash.substring(1); // remove #
}


$(function() {
    $('.js-expand-adv').click(function() {
        var $this = $(this);
        var isOpen = $this.data('state');
        var $items = $this.closest('.fg__item').find('.fg__item__adv');
        if(isOpen) {
            $items.hide();
            $this.html($this.data('label'));
        } else {
            $items.show();
            $this.data('label',$this.html());
            $this.html('Свернуть');
        }
        $this.data('state', !isOpen);
        return false;
    });
})